%set_perl_req_method relaxed
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(File/HomeDir.pm) perl(File/Spec/Functions.pm) perl(HTTP/Tiny/Mech.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/AllUtils.pm) perl(List/Util.pm) perl(MetaCPAN/API.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Path/Class.pm) perl(Scalar/Util.pm) perl(Test/CheckDeps.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(WWW/Mechanize/Cached/GZip.pm) perl(namespace/clean.pm) perl(sanity.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name Dist-Zilla-Role-MetaCPANInterfacer
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.97
Release: alt1
Summary: something that will interact with MetaCPAN's API
Group: Development/Perl
License: artistic_2
URL: https://github.com/SineSwiper/Dist-Zilla-Role-MetaCPANInterfacer

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BB/BBYRD/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This role is simply gives you a the MetaCPAN::API manpage object to use with caching, so
that other plugins can share that cache.  It uses the awesome example provided in
the the SYNOPSIS entry in the MetaCPAN::API manpage, contributed by Kent Fredric.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.html CHANGES LICENSE
%perl_vendor_privlib/D*

%changelog
* Fri Dec 28 2018 Igor Vlasenko <viy@altlinux.ru> 0.97-alt1
- initial import by package builder

